/*
 * dhcpcd - DHCP client daemon -
 * Copyright (C) 1996 - 1997 Yoichi Hariguchi <yoichi@fore.com>
 * Copyright (C) 1998 Sergei Viznyuk <sv@phystech.com>
 * Copyright (C) September, 2002 Matsushita Electric Industrial Co., Ltd.
 *	Takahiko Suzuki <tsuzuki@vrl.mei.co.jp>
 * Copyright (C) October, 2002 Matsushita Electric Industrial Co., Ltd.
 *	Takahiko Suzuki <tsuzuki@vrl.mei.co.jp>
 *
 * Dhcpcd is an RFC2131 and RFC1541 compliant DHCP client daemon.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef PATHNAMES_H
#define PATHNAMES_H

#include <paths.h>
#include "dhcpcd.h"

#ifdef	DHCP_MODIFY
#define	DHCP_PATH_MODIFY	/* A.Tsuji 2001/06/29
				   The /etc is read-only.
				   Instead of it, we use /tmp RAM disk. */
#endif	// DHCP_MODIFY

/***************/
/* DHCP_UPDATE */
/***************/
#ifdef  DHCP_UPDATE

#define	ETC_DIR           "/etc"
#define	DHCPC_DIR         ""ETC_DIR"/dhcpc/"
#define EXEC_DIR	  "/usr/sbin"
#define PID_FILE_PATH     "%s/"PROGRAM_NAME"-%s.pid"
#define DHCP_CACHE_FILE	  "%s/"PROGRAM_NAME"-%s.cache"
#define DHCP_HOSTINFO	  "%s/"PROGRAM_NAME"-%s.info"
#define EXEC_ON_CHANGE	  "%s/"PROGRAM_NAME".exe"
#ifdef EMBED
#define CONFIG_DIR	  ""ETC_DIR"/config/dhcpc"
#define RESOLV_CONF	  "/ETC_DIR/config/resolv.conf"
#define NIS_CONF	  ""ETC_DIR"/config/yp.conf"
#define NTP_CONF	  ""ETC_DIR"/config/ntp.conf"
#else
#define CONFIG_DIR	  ""ETC_DIR"/dhcpc"
#define RESOLV_CONF	  ""ETC_DIR"/resolv.conf"
#define NIS_CONF	  ""ETC_DIR"/yp.conf"
#define NTP_CONF	  ""ETC_DIR"/ntp.conf"
#endif

#endif /* defined(DHCP_UPDATE) */

/*******************/
/* NOT DHCP_UPDATE */
/*******************/
#ifndef DHCP_UPDATE

#ifndef DHCP_PATH_MODIFY

#define PID_FILE_PATH     ""_PATH_VARRUN""PROGRAM_NAME"-%s.pid"
#define DHCP_CACHE_FILE	  "/etc/dhcpc/"PROGRAM_NAME"-%s.cache"
#define DHCP_HOSTINFO	  "/etc/dhcpc/"PROGRAM_NAME"-%s.info"
#define EXEC_ON_IP_CHANGE "/etc/dhcpc/"PROGRAM_NAME"-%s.exe"
#define RESOLV_CONF	  "/etc/resolv.conf"

#else   // DHCP_PATH_MODIFY

#if	1	// Temporally. At last, this should be the symlink to etc's.
#define	ETC_DIR           "/tmp"
#else	// for Test
#define	ETC_DIR           "/etc"
#endif
#define	DHCPC_DIR         ""ETC_DIR"/dhcpc/"
#define PID_FILE_PATH     ""DHCPC_DIR""PROGRAM_NAME"-%s.pid"
#define DHCP_CACHE_FILE	  ""DHCPC_DIR""PROGRAM_NAME"-%s.cache"
#define DHCP_HOSTINFO	  ""DHCPC_DIR""PROGRAM_NAME"-%s.info"
/*#define EXEC_ON_IP_CHANGE ""DHCPC_DIR""PROGRAM_NAME"-%s.exe"*/
#define EXEC_ON_IP_CHANGE "/usr/sbin/"PROGRAM_NAME"-%s.exe"
#define RESOLV_CONF	  "/tmp/resolv.conf"

#endif	// DHCP_PATH_MODIFY

#endif /* !defined(DHCP_UPDATE) */

#endif
